## json-glib 0.6.2-2

=== doc/reference/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# doc/reference/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# JSON-GLib - JSON reader and writer library

# -*- mode: makefile -*-

####################################
# Everything below here is generic #
####################################

pkgdatadir = $(datadir)/json-glib
pkglibdir = $(libdir)/json-glib
pkgincludedir = $(includedir)/json-glib
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/version.xml.in $(top_srcdir)/Makefile.decl \
	$(top_srcdir)/gtk-doc.make
subdir = doc/reference
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = version.xml
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -g -Wall
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GLIB_PREFIX = /usr
GOBJECT_QUERY = gobject-query
GREP = /scratchbox/tools/bin/grep
GTKDOC_CHECK = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JSON_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
JSON_DEBUG_CFLAGS = -DJSON_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS
JSON_LIBS = -lgobject-2.0 -lglib-2.0  
JSON_LT_LDFLAGS = -version-info 602:0:602
JSON_MAJOR_VERSION = 0
JSON_MICRO_VERSION = 2
JSON_MINOR_VERSION = 6
JSON_VERSION = 0.6.2
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/conny/workspace/json-glib-0.6.2/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = json-glib
PACKAGE_BUGREPORT = http://bugzilla.openedhand.com/enter_bug.cgi
PACKAGE_NAME = json-glib
PACKAGE_STRING = json-glib 0.6.2
PACKAGE_TARNAME = json-glib
PACKAGE_VERSION = 0.6.2
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.6.2
abs_builddir = /home/conny/workspace/json-glib-0.6.2/doc/reference
abs_srcdir = /home/conny/workspace/json-glib-0.6.2/doc/reference
abs_top_builddir = /home/conny/workspace/json-glib-0.6.2
abs_top_srcdir = /home/conny/workspace/json-glib-0.6.2
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/conny/workspace/json-glib-0.6.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../..
top_srcdir = ../..
GTESTER = gtester
GTESTER_REPORT = gtester-report

# This includes the standard gtk-doc make rules, copied by gtkdocize.

# Other files to distribute
# e.g. EXTRA_DIST += version.xml.in
EXTRA_DIST = $(content_files) $(HTML_IMAGES) $(DOC_MAIN_SGML_FILE) \
	$(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt \
	version.xml.in
TEST_PROGS = 

# We require automake 1.6 at least.
AUTOMAKE_OPTIONS = 1.6

# This is a blank Makefile.am for using gtk-doc.
# Copy this to your project's API docs directory and modify the variables to
# suit your project. See the GTK+ Makefiles in gtk+/docs/reference for examples
# of using the various options.

# The name of the module, e.g. 'glib'.
DOC_MODULE = json-glib

# The top-level SGML file. You can change this if you want to.
DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.sgml

# The directory containing the source code. Relative to $(srcdir).
# gtk-doc will search all .c & .h files beneath here for inline comments
# documenting the functions and macros.
# e.g. DOC_SOURCE_DIR=../../../gtk
DOC_SOURCE_DIR = ../../json-glib

# Extra options to pass to gtkdoc-scangobj. Not normally needed.
SCANGOBJ_OPTIONS = --type-init-func="g_type_init()"

# Extra options to supply to gtkdoc-scan.
# e.g. SCAN_OPTIONS=--deprecated-guards="GTK_DISABLE_DEPRECATED" 
SCAN_OPTIONS = --deprecated-guards="JSON_DISABLE_DEPRECATED"

# Extra options to supply to gtkdoc-mkdb.
# e.g. MKDB_OPTIONS=--sgml-mode --output-format=xml
MKDB_OPTIONS = --sgml-mode --output-format=xml

# Extra options to supply to gtkdoc-mktmpl
# e.g. MKTMPL_OPTIONS=--only-section-tmpl
MKTMPL_OPTIONS = 

# Extra options to supply to gtkdoc-fixref. Not normally needed.
# e.g. FIXXREF_OPTIONS=--extra-dir=../gdk-pixbuf/html --extra-dir=../gdk/html
FIXXREF_OPTIONS = \
	--extra-dir=$(GLIB_PREFIX)/share/gtk-doc/html/glib \
	--extra-dir=$(GLIB_PREFIX)/share/gtk-doc/html/gobject


# Used for dependencies. The docs will be rebuilt if any of these change.
# e.g. HFILE_GLOB=$(top_srcdir)/gtk/*.h
# e.g. CFILE_GLOB=$(top_srcdir)/gtk/*.c
HFILE_GLOB = $(top_srcdir)/json-glib/*.h
CFILE_GLOB = $(top_srcdir)/json-glib/*.c

# Header files to ignore when scanning.
# e.g. IGNORE_HFILES=gtkdebug.h gtkintl.h
IGNORE_HFILES = \
	json-scanner.h \
	json-private.h \
	json-marshal.h \
	json-glib.h \
	json-enum-types.h \
	stamp-json-enum-types.h \
	stamp-json-marshal.h

EXTRA_HFILES = 

# Images to copy into HTML directory.
# e.g. HTML_IMAGES=$(top_srcdir)/gtk/stock-icons/stock_about_24.png
HTML_IMAGES = 

# Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
# e.g. content_files=running.sgml building.sgml changes-2.0.sgml
content_files = version.xml

# SGML files where gtk-doc abbrevations (#GtkWidget) are expanded
# These files must be listed here *and* in content_files
# e.g. expand_content_files=running.sgml
expand_content_files = 

# CFLAGS and LDFLAGS for compiling gtkdoc-scangobj with your library.
# Only needed if you are using gtkdoc-scangobj to dynamically query widget
# signals and properties.
# e.g. INCLUDES=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
# e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
INCLUDES = -I$(top_srcdir) $(JSON_CFLAGS)
GTKDOC_LIBS = $(top_builddir)/json-glib/libjson-glib-1.0.la $(JSON_LIBS)
#GTKDOC_CC = $(CC) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
GTKDOC_CC = $(LIBTOOL) --mode=compile $(CC) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
#GTKDOC_LD = $(CC) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
GTKDOC_LD = $(LIBTOOL) --mode=link $(CC) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)

# We set GPATH here; this gives us semantics for GNU make
# which are more like other make's VPATH, when it comes to
# whether a source that is a target of one rule is then
# searched for in VPATH/GPATH.
#
GPATH = $(srcdir)
TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
DOC_STAMPS = scan-build.stamp tmpl-build.stamp sgml-build.stamp html-build.stamp \
	   $(srcdir)/tmpl.stamp $(srcdir)/sgml.stamp $(srcdir)/html.stamp

SCANOBJ_FILES = \
	$(DOC_MODULE).args 	 \
	$(DOC_MODULE).hierarchy  \
	$(DOC_MODULE).interfaces \
	$(DOC_MODULE).prerequisites \
	$(DOC_MODULE).signals

REPORT_FILES = \
	$(DOC_MODULE)-undocumented.txt \
	$(DOC_MODULE)-undeclared.txt \
	$(DOC_MODULE)-unused.txt

CLEANFILES = $(SCANOBJ_FILES) $(REPORT_FILES) $(DOC_STAMPS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.decl $(top_srcdir)/gtk-doc.make $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/reference/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/reference/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
version.xml: $(top_builddir)/config.status $(srcdir)/version.xml.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \

=== debian/changelog ===
json-glib (0.6.2-2) unstable; urgency=low

  * Fixed bug, now package shouldn't be empty anymore :)

 -- Cornelius Hald <hald@icandy.de>  Mon, 1 Jul 2009 22:41:45 +0200

json-glib (0.6.2-1) unstable; urgency=low

  * Quick port from debian 0.6.2-3 to Maemo

 -- Cornelius Hald <hald@icandy.de>  Mon, 1 Jul 2009 16:21:12 +0200

=== debian/control ===
Source: json-glib
Section: libs
Priority: optional
Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev 
Standards-Version: 3.7.3

Package: libjson-glib-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GLib JSON manipulation library
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.

Package: libjson-glib-1.0-0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libjson-glib-1.0-0 (= ${binary:Version})
Description: GLib JSON manipulation library (debug symbols)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the debug files.

Package: libjson-glib-dev
Section: libdevel
Architecture: any
Depends: libjson-glib-1.0-0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}
Description: GLib JSON manipulation library (development files)
 JSON-GLib is a library for parsing, generating and manipulating JavaScript
 Object Notation (JSON) data streams using the GLib type system. It allows
 manipulating JSON data types with a Document Object Model API. It also
 allows serializing and deserializing simple or complex GObjects to and
 from JSON data types.
 .
 This package contains the development files.

## json-glib 0.6.2-4

=== debian/changelog ===
json-glib (0.6.2-4) unstable; urgency=low

  * Backported patch to not cripple json identifiers

 -- Cornelius Hald <hald@icandy.de>  Wed, 12 Aug 2009 17:16:06 +0200

json-glib (0.6.2-3) unstable; urgency=low

  * Fix the name of the library .install file to match that of the library.
    (closes: #486574)

 -- Rob Bradford <robster@debian.org>  Tue, 17 Jun 2008 17:49:36 +0100

json-glib (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Emmanuele Bassi <ebassi@openedhand.com>  Thu, 01 May 2008 15:22:36 +0100

## json-glib 0.6.2-5

=== debian/changelog ===
json-glib (0.6.2-5) unstable; urgency=low

  * Fixed bug which was intruduced while back porting

 -- Cornelius Hald <hald@icandy.de>  Mon, 17 Aug 2009 18:28:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
 Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev 
+Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools
 Standards-Version: 3.7.3
 
 Package: libjson-glib-1.0-0
@@ -35,6 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libjson-glib-1.0-0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}
+Suggests: libjson-glib-doc
 Description: GLib JSON manipulation library (development files)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
DEB_COMPRESS_EXCLUDE = .c
DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc

common-binary-predeb-arch:: list-missing

## json-glib 0.6.2-6

=== debian/changelog ===
json-glib (0.6.2-6) unstable; urgency=low

  * Changed maintainer to make clear that for maemo package issues I'm to
    blame.

 -- Cornelius Hald <hald@icandy.de>  Tue, 25 Aug 2009 19:25:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
-Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>
+Maintainer: Cornelius Hald <hald@icandy.de>
 Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools
 Standards-Version: 3.7.3

## json-glib 0.6.2-7

=== debian/changelog ===
json-glib (0.6.2-7) unstable; urgency=low

  * Fixed bug where a double (under some locales) was converted to a string
    containing a comma instead of a dot.

 -- Cornelius Hald <hald@icandy.de>  Tue, 01 Oct 2009 09:56:12 +0200

## json-glib 0.8.0-1maemo2

=== debian/changelog ===
json-glib (0.8.0-1maemo2) unstable; urgency=low

  * Fixed upstream bug http://bugzilla.openedhand.com/show_bug.cgi?id=1826
  * Enabled optification

 -- Cornelius Hald <hald@icandy.de>  Fri, 15 Jan 2010 10:17:42 +0100

json-glib (0.8.0-1maemo1) unstable; urgency=low

  * Run configure with --disable-gtkdoc as the Fremantle SDK doesn't provides
    only gtk-doc 1.10, not gtk-doc 1.11 as requested by upstream.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Sun, 22 Nov 2009 22:42:13 +0100

json-glib (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #547673)
  * Fix documentation symlink (Closes: #532712)

 -- Ross Burton <ross@debian.org>  Mon, 28 Sep 2009 13:20:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Cornelius Hald <hald@icandy.de>
+Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
+Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>,
+ Mathias Hasselmann <mathias.hasselmann@maemo.org>, Cornelius Hald <hald@icandy.de>
 Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools
-Standards-Version: 3.7.3
+Standards-Version: 3.8.3
 
 Package: libjson-glib-1.0-0
 Section: libs
@@ -17,10 +19,10 @@
  from JSON data types.
 
 Package: libjson-glib-1.0-0-dbg
-Section: libdevel
+Section: debug
 Priority: extra
 Architecture: any
-Depends: libjson-glib-1.0-0 (= ${binary:Version})
+Depends: libjson-glib-1.0-0 (= ${binary:Version}), ${misc:Depends}
 Description: GLib JSON manipulation library (debug symbols)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows
@@ -44,4 +46,17 @@
  .
  This package contains the development files.
 
+Package: libjson-glib-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: devhelp
+Description: GLib JSON manipulation library (documentation)
+ JSON-GLib is a library for parsing, generating and manipulating JavaScript
+ Object Notation (JSON) data streams using the GLib type system. It allows
+ manipulating JSON data types with a Document Object Model API. It also
+ allows serializing and deserializing simple or complex GObjects to and
+ from JSON data types.
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 DEB_COMPRESS_EXCLUDE = .c
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc
 
 common-binary-predeb-arch:: list-missing
-

## json-glib 0.10.4-1maemo1

=== debian/changelog ===
json-glib (0.10.4-1maemo1) unstable; urgency=low

  * Disable debugging and enable optimizations.
  * Make the package build straight from the git repository, by running
    autogen from debian/rules.
  * Remove the -doc package completely.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Tue,  3 Aug 2010 17:52:07 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
 Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>,
- Mathias Hasselmann <mathias.hasselmann@maemo.org>, Cornelius Hald <hald@icandy.de>
-Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools
+ Mathias Hasselmann <mathias.hasselmann@maemo.org>,
+ Alberto Mardegan <users.sourceforge.net>
+Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools, automake1.10
 Standards-Version: 3.8.3
 
 Package: libjson-glib-1.0-0
@@ -46,17 +47,3 @@
  .
  This package contains the development files.
 
-Package: libjson-glib-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: devhelp
-Description: GLib JSON manipulation library (documentation)
- JSON-GLib is a library for parsing, generating and manipulating JavaScript
- Object Notation (JSON) data streams using the GLib type system. It allows
- manipulating JSON data types with a Document Object Model API. It also
- allows serializing and deserializing simple or complex GObjects to and
- from JSON data types.
- .
- This package contains the documentation.
-

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,31 @@
 DEB_COMPRESS_EXCLUDE = .c
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-gtk-doc
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g -O0
+	CONFIGURE_EXTRA_FLAGS += --enable-debug=yes
+else
+	CONFIGURE_EXTRA_FLAGS += --enable-debug=no --disable-cast-checks
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+post-patches:: debian/stamp-gen-configure
+debian/stamp-gen-configure:
+	# -V option will cause configure to exit
+	ACLOCAL="aclocal-1.10" AUTOMAKE="automake-1.10" ./autogen.sh -V
+	touch $@
+
+clean::
+	rm -f debian/stamp-gen-configure
+
 common-binary-predeb-arch:: list-missing

## json-glib 0.12.6

=== debian/changelog ===
json-glib (0.12.6-0maemo2) unstable; urgency=low

  * Fix empty debug package.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 30 Dec 2017 19:16:47 +0100

json-glib (0.12.6-0maemo1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 30 Dec 2017 14:28:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Emmanuele Bassi <ebassi@openedhand.com>
-Uploaders: Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>,
+Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
+Uploaders:
+ Emmanuele Bassi <ebassi@openedhand.com>,
+ Rob Bradford <robster@debian.org>,
+ Ross Burton <ross@debian.org>,
  Mathias Hasselmann <mathias.hasselmann@maemo.org>,
- Alberto Mardegan <users.sourceforge.net>
-Build-Depends: debhelper (>= 5), cdbs, libglib2.0-dev, gtk-doc-tools, automake1.10
-Standards-Version: 3.8.3
+ Alberto Mardegan <mardy@users.sourceforge.net>
+Build-Depends: debhelper (>= 7), cdbs, libglib2.0-dev, automake1.11
+Standards-Version: 3.9.2
 
 Package: libjson-glib-1.0-0
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GLib JSON manipulation library
@@ -37,7 +39,6 @@
 Section: libdevel
 Architecture: any
 Depends: libjson-glib-1.0-0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}
-Suggests: libjson-glib-doc
 Description: GLib JSON manipulation library (development files)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows
@@ -46,4 +47,3 @@
  from JSON data types.
  .
  This package contains the development files.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_STRIP_ARGS := --dbg-package=libjson-glib-1.0-0-dbg

## json-glib 0.14.0

=== debian/changelog ===
json-glib (0.14.0-1) unstable; urgency=low

  * New upstream release: Translation updates only.

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Sep 2011 17:21:39 +0200

json-glib (0.13.90-1) unstable; urgency=low

  * New upstream release.
  * Drop 0001-Fix-GVariant-creation-on-some-architectures-bug-6504.patch:
    Applied upstream.

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2011 09:08:07 +0200

json-glib (0.13.4-2) unstable; urgency=low

  * Rename gir1.2-json-glib-1.0 package to gir1.2-json-1.0 to follow policy
  * d/p/0001-Fix-GVariant-creation-on-some-architectures-bug-6504.patch:
    Fix FTBFS on some architectures (Closes: #632823)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Jul 2011 15:46:43 +0200

json-glib (0.13.4-1) unstable; urgency=low

  * New upstream release. (Thanks to Ted Gould <ted@ubuntu.com>)
    - Fixes for removal of G_CONST_RETURN
  * debian/libjson-glib-1.0-0.symbols: Update for 0.13.4
  * debian/watch: Switch to .bz2 tarballs

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Jun 2011 16:29:02 +0200

json-glib (0.13.2-1) unstable; urgency=low

  * New upstream release
  * Put under Debian GNOME Maintainers maintenance
  * debian/control.in:
    - Fix gir1.2-json-glib-1.0 short descrition (Closes: #589085)
    - Drop duplicate Sections to please lintian
    - Make libjson-glib-dev package depends against gir1.2-json-glib-1.0
    - Bump cdbs and debhelper build-dependencies
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Add Homepage and Vcs- fields
  * debian/rules:
    - Add include uploaders.mk and gnome-get-source.mk
    - Rely on cdbs to call dh_girepository
    - Run regression tests during build (Closes: #583554)
    - Bump shlibs file automatically since we are using .symbols file
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/libjson-glib-1.0-0.symbols: Add .symbols file (Closes: #611184)
  * debian/watch: Add watch file
  * debian/copyright: Update download URL (Closes: #589087)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 May 2011 15:01:29 +0200

json-glib (0.12.0-3) unstable; urgency=low

  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 23 Mar 2011 22:20:28 +0000

json-glib (0.12.0-2) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Update to the new gir policy:
    - Rename gir1.0-json-glib-1.0 to gir1.2-json-glib-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

  [ Sjoerd Simons ]
  * Also add Replaces for gir1.0-json-glib-1.0

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Dec 2010 16:12:34 +0000

json-glib (0.12.0-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 27 Nov 2010 21:08:06 +0000

json-glib (0.10.2-2) unstable; urgency=low

  * Enable GObject introspection

 -- Rob Bradford <robster@debian.org>  Tue, 16 Mar 2010 06:07:32 +0000

json-glib (0.10.2-1) unstable; urgency=low

  * New upstream release

 -- Rob Bradford <robster@debian.org>  Mon, 15 Mar 2010 15:44:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,25 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
-Uploaders:
- Emmanuele Bassi <ebassi@openedhand.com>,
- Rob Bradford <robster@debian.org>,
- Ross Burton <ross@debian.org>,
- Mathias Hasselmann <mathias.hasselmann@maemo.org>,
- Alberto Mardegan <mardy@users.sourceforge.net>
-Build-Depends: debhelper (>= 7), cdbs, libglib2.0-dev, automake1.11
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Rob Bradford <robster@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 8),
+               cdbs (>= 0.4.90~),
+               gnome-pkg-tools,
+               libglib2.0-dev (>= 2.27.3),
+               gtk-doc-tools,
+               gir1.2-glib-2.0 (>= 0.9.12),
+               libgirepository1.0-dev (>= 0.9.12),
+               gobject-introspection (>= 0.9.12-4~)
 Standards-Version: 3.9.2
+Homepage: http://live.gnome.org/JsonGlib
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/json-glib
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/json-glib
 
 Package: libjson-glib-1.0-0
 Architecture: any
@@ -38,7 +48,8 @@
 Package: libjson-glib-dev
 Section: libdevel
 Architecture: any
-Depends: libjson-glib-1.0-0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}
+Depends: libjson-glib-1.0-0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}, gir1.2-json-1.0 (= ${binary:Version})
+Suggests: libjson-glib-doc
 Description: GLib JSON manipulation library (development files)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows
@@ -47,3 +58,37 @@
  from JSON data types.
  .
  This package contains the development files.
+
+Package: libjson-glib-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: devhelp
+Description: GLib JSON manipulation library (documentation)
+ JSON-GLib is a library for parsing, generating and manipulating JavaScript
+ Object Notation (JSON) data streams using the GLib type system. It allows
+ manipulating JSON data types with a Document Object Model API. It also
+ allows serializing and deserializing simple or complex GObjects to and
+ from JSON data types.
+ .
+ This package contains the documentation.
+
+Package: gir1.2-json-1.0
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Conflicts: gir1.0-json-glib-1.0, gir1.2-json-glib-1.0
+Replaces: gir1.0-json-glib-1.0, gir1.2-json-glib-1.0
+Provides: gir1.2-json-glib-1.0
+Description: GLib JSON manipulation library (introspection data)
+ JSON-GLib is a library for parsing, generating and manipulating JavaScript
+ Object Notation (JSON) data streams using the GLib type system. It allows
+ manipulating JSON data types with a Document Object Model API. It also
+ allows serializing and deserializing simple or complex GObjects to and
+ from JSON data types.
+ .
+ This package contains introspection data.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
DEB_COMPRESS_EXCLUDE = .c
DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc --enable-introspection=yes
DEB_DH_MAKESHLIBS_ARGS_libjson-glib-1.0-0 += -V -- -c4

DEB_MAKE_CHECK_TARGET = test

common-binary-predeb-arch:: list-missing

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/json-glib/([0-9.]+)/json-glib-(.*).tar.bz2

## json-glib 0.14.2

=== debian/changelog ===
json-glib (0.14.2-1) unstable; urgency=low

  * New upstream release
  * Add multiarch support
  * debian/watch: Switch to .xz tarballs

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Nov 2011 12:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>, Rob Bradford <robster@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8),
-               cdbs (>= 0.4.90~),
+Build-Depends: debhelper (>= 8.1.3),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.27.3),
                gtk-doc-tools,
@@ -24,6 +24,8 @@
 Package: libjson-glib-1.0-0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: GLib JSON manipulation library
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows
@@ -35,6 +37,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libjson-glib-1.0-0 (= ${binary:Version}), ${misc:Depends}
 Description: GLib JSON manipulation library (debug symbols)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 DEB_COMPRESS_EXCLUDE = .c
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-gtk-doc --enable-introspection=yes
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+                             --enable-gtk-doc \
+                             --enable-introspection=yes
 DEB_DH_MAKESHLIBS_ARGS_libjson-glib-1.0-0 += -V -- -c4
 
 DEB_MAKE_CHECK_TARGET = test

## json-glib 0.15.2

=== debian/changelog ===
json-glib (0.15.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release:
  * debian/control:
    - Use standards version 3.9.3
    - Bump build-depends on libglib2.0-dev
  * debian/libjson-glib-1.0-0.symbols:
    - Updated (non public symbols removed)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Jul 2012 10:56:31 +1200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Rob Bradford <robster@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.27.3),
+               libglib2.0-dev (>= 2.31.0),
                gtk-doc-tools,
                gir1.2-glib-2.0 (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.gnome.org/JsonGlib
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/json-glib
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/json-glib

## json-glib 0.16.2

=== debian/changelog ===
json-glib (0.16.2-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Dec 2013 13:54:51 +0000

json-glib (0.16.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 24 Sep 2013 18:43:37 +0200

json-glib (0.16.0-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-json-1.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libglib2.0-dev build-dependency to 2.34.0
    - debian/libjson-glib-1.0-0.symbols: Adjust .symbols file, the dropped
      symbols were not part of the public API
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL's for VCS fields
  * debian/rules: Use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS and include
    buildflags.mk to avoid overriding hardening flags
  * Add libjson-glib-1.0-common package: Upstream is now shipping translations

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Jun 2013 18:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,30 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
+               dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.34.0),
                gtk-doc-tools,
                gir1.2-glib-2.0 (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
-               gobject-introspection (>= 0.9.12-4~)
-Standards-Version: 3.9.3
-Homepage: http://live.gnome.org/JsonGlib
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/json-glib
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/json-glib
+               gobject-introspection (>= 0.9.12-4~),
+               dh-autoreconf
+Standards-Version: 3.9.4
+Homepage: https://wiki.gnome.org/JsonGlib
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/json-glib
+Vcs-Browser: http://anonscm.debian.org/viewpkg-gnome/desktop/unstable/json-glib
 
 Package: libjson-glib-1.0-0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjson-glib-1.0-common (>= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: GLib JSON manipulation library
@@ -62,6 +64,19 @@
  .
  This package contains the development files.
 
+Package: libjson-glib-1.0-common
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: GLib JSON manipulation library (common files)
+ JSON-GLib is a library for parsing, generating and manipulating JavaScript
+ Object Notation (JSON) data streams using the GLib type system. It allows
+ manipulating JSON data types with a Document Object Model API. It also
+ allows serializing and deserializing simple or complex GObjects to and
+ from JSON data types.
+ .
+ This package contains the translations files.
+
 Package: libjson-glib-doc
 Section: doc
 Architecture: all
@@ -77,13 +92,13 @@
  This package contains the documentation.
 
 Package: gir1.2-json-1.0
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: gir1.0-json-glib-1.0, gir1.2-json-glib-1.0
 Replaces: gir1.0-json-glib-1.0, gir1.2-json-glib-1.0
-Provides: gir1.2-json-glib-1.0
 Description: GLib JSON manipulation library (introspection data)
  JSON-GLib is a library for parsing, generating and manipulating JavaScript
  Object Notation (JSON) data streams using the GLib type system. It allows

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed 
+include /usr/share/dpkg/buildflags.mk
+
 DEB_COMPRESS_EXCLUDE = .c
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                              --enable-gtk-doc \

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/json-glib/([0-9.]+)/json-glib-(.*).tar.xz

## json-glib 1.0.2

=== debian/changelog ===
json-glib (1.0.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop sledge-hammer and bump dh compat to 9
    - This fixes the -dbg vs multiarch issues
    Thanks to Julien Cristau for the hint.
  * New upstream release.

  [ Colin Watson ]
  * use dh-autoreconf for better new-port coverage (Closes: #732301)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 13 Jul 2014 15:50:01 +0200

json-glib (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump glib build-dependency to 2.37.6 according to configure.ac
  * Switch DEB_MAKE_CHECK_TARGET from "test" to "check".
    - make test doesn't exist (anymore?).
  * Build-depend on libxml2-utils and xsltproc for manpage generation.
  * Bump Standards-Version to 3.9.5
  * Bump gtk-doc-tools build-dependency to >= 1.20 according to configure.ac
  * Update debian/libjson-glib-1.0-0.symbols with added symbols.
  * Add json-glib-tools package.
  * Use sledge-hammer on -dbg package because of multiarch.
    - we don't need debug info for the trivial binaries in -tools.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 15:42:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: json-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>
+Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.93~),
+               dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.34.0),
-               gtk-doc-tools,
+               libglib2.0-dev (>= 2.37.6),
+               gtk-doc-tools (>= 1.20),
                gir1.2-glib-2.0 (>= 0.9.12),
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.9.12-4~),
-               dh-autoreconf
-Standards-Version: 3.9.4
+               xsltproc,
+               libxml2-utils
+Standards-Version: 3.9.5
 Homepage: https://wiki.gnome.org/JsonGlib
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/json-glib
 Vcs-Browser: http://anonscm.debian.org/viewpkg-gnome/desktop/unstable/json-glib
@@ -110,3 +112,19 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: json-glib-tools
+Section: devel
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Description: GLib JSON manipulation library (tools)
+ JSON-GLib is a library for parsing, generating and manipulating JavaScript
+ Object Notation (JSON) data streams using the GLib type system. It allows
+ manipulating JSON data types with a Document Object Model API. It also
+ allows serializing and deserializing simple or complex GObjects to and
+ from JSON data types.
+ .
+ This package contains the json-glib-format and json-glib-validate
+ tools.
+

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,6 @@
                              --enable-introspection=yes
 DEB_DH_MAKESHLIBS_ARGS_libjson-glib-1.0-0 += -V -- -c4
 
-DEB_MAKE_CHECK_TARGET = test
+DEB_MAKE_CHECK_TARGET = check
 
 common-binary-predeb-arch:: list-missing

## json-glib 1.0.4

=== debian/changelog ===
json-glib (1.0.4-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop obsolete Conflicts/Replaces.

  [ Iain Lane ]
  * debian/patches/0001-tests-builder-Don-t-duplicate-test-names.patch:
    Cherry-pick. Don't duplicate test names, so as not to fail to build with
    glib 2.46.
  * debian/rules: Run testsuite verbosely

 -- Iain Lane <laney@debian.org>  Fri, 02 Oct 2015 12:18:23 +0100

json-glib (1.0.4-1) unstable; urgency=medium

  * New upstream relese.
  * Wrap dependencies.
  * Install typelib files into multiarch paths.
  * Mark gir and dev packages as Multi-Arch: same and the doc package as
    Multi-Arch: foreign.
  * Update Homepage: URL.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.6.
  * Install upstream provided man pages via .install file.
  * Mark private symbols for the marshaller as (optional).

 -- Michael Biebl <biebl@debian.org>  Sat, 23 May 2015 15:58:02 +0200
